package be.jeffcheasey88.peeratcode.parser.java;

import be.jeffcheasey88.peeratcode.parser.Token;

public class Value extends JavaElement{
	
	private Token token;
	private JavaElement content;
	
	public Value(){}
	
	public Token getToken(){
		return this.token;
	}
	
	public JavaElement getContent(){
		return this.content;
	}
	
	public static class BiValue extends Value{
		
		private Value left;
		private Value right;
		
		public BiValue(){}
		
		public Value left(){
			return left;
		}
		
		public Value right(){
			return right;
		}
		
	}
	
	public static class TriValue extends Value{
		
		private Value check;
		private Value success;
		private Value fail;
		
		public TriValue(){}
		
		public Value getChecker(){
			return check;
		}
		
		public Value success(){
			return success;
		}
		
		public Value fail(){
			return fail;
		}
		
	}

}
